package com.huatek.busi.service.impl.report;

import com.huatek.busi.common.ReportType;
import com.huatek.busi.common.SiteConstants.SiteTreeEnum;
import com.huatek.busi.dto.EquipmentInfoDto;
import com.huatek.busi.service.impl.report.helper.ReportImpl;

/**
 * 电缆局放检测-月报告
 * 
 * @author anker_cheng
 * @date 2019/09/25
 */
@ReportImpl(value = "busiElePdMonthlyReprotService", exportTypes = {ReportType.DL_JU_MONTHLY_REPORT})
public class BusiElePdMonthlyReprotServiceImpl extends AbstractPdMonthlyReprotService {

    @Override
    protected String fileName() {
        return "电缆局放检测月报告";
    }

    @Override
    protected EquipmentInfoDto findEquipmentInfo(String sensorCode) {
        return busiSubTreeService.findEquipmentInfo(sensorCode, SiteTreeEnum.OTHER.getValue());
    }
}
